
Quantification tool - Bug #1896

Another exception caught importing stocks using version 3 (by Myanmar Pharmacist)

07/12/2016 08:09 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 07/12/2016

Priority: Immediate Due date:  

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 4.0 Spent time: 0.00 hour

Description

Please find her email pasted below and related files sent by her attached (I also attached the QuanTB file).

Dear Gustavo,

Let me send you the following problem regarding to cycloserine: all the Stock on hand & Stock on order are updated except

cycloserine but the SLD QuanTB file can neither be saved nor executed. It is pending and show the error box as in picture 3. Please

give your kind guidance .

With Best Regards,

Yu Par

History

#1 - 07/12/2016 08:59 PM - Luis Gustavo do Valle Bastos

- File Different exception.JPG added

- File Different exception Part 1.JPG added

- File Different exception Part 2.JPG added

- File Different exception when saving-executing.JPG added

Following up after doing my own test:

It seems that this issue could be caused by medicines with same name and expiration date on Excel.

I've reproduced the exception, but with different message comparing to the message Pharmacist got (find attached file called "Different exception").

However, even displaying the exception message the stock is actually imported into QuanTB, but in wrong quantity (less) comparing with the quantity

in Excel. It seems that some stocks with same name have not been imported.

In addition, when tried to click on the stock on hand at the "Stock of medicines" tab to see the details a second exception was displayed (attached

called "Different exception Parts 1 and 2, because was too long to fit in my screen).

Finally, when tried to execute or save the file a third exception was displayed. See attached as "Different exception when saving-executing"

If confirmed the cause of this issue being the same meds with same expiration date, system must recognize it and display a warning message to

users. If users decide to continue, system must merge quantities of same product with same expiration date and display as only one product in

QuanTB (with the total quantity from Excel).

Consider creating this same rule above for the template as well.
#2 - 08/17/2016 10:23 AM - Oleksii Kurasov

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#3 - 10/16/2016 10:00 AM - Andualem Oumer

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Right now system does add quantities even if we have the same expiry dates for the same medicine  and it does not provide any message as

proposed in the description - but Gustavo and me agreed it is ok for now. We can discuss this for the future versions - leave it open for now

#4 - 12/08/2016 10:42 AM - Oleksii Kurasov

- Status changed from Feedback to Closed

Files

1.JPG 161 KB 07/13/2016 Luis Gustavo do Valle Bastos

2.JPG 161 KB 07/13/2016 Luis Gustavo do Valle Bastos

3.JPG 169 KB 07/13/2016 Luis Gustavo do Valle Bastos

Report for Quantb 31,3,2016.xlsx 13.9 KB 07/13/2016 Luis Gustavo do Valle Bastos

EWS for NTP Myanmar  SLD Q1 2016 (Central).qtb 283 KB 07/13/2016 Luis Gustavo do Valle Bastos

Different exception.JPG 160 KB 07/13/2016 Luis Gustavo do Valle Bastos

Different exception Part 1.JPG 159 KB 07/13/2016 Luis Gustavo do Valle Bastos

Different exception Part 2.JPG 173 KB 07/13/2016 Luis Gustavo do Valle Bastos

Different exception when saving-executing.JPG 164 KB 07/13/2016 Luis Gustavo do Valle Bastos
